package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ZyCategoryMapper;
import com.ruoyi.system.domain.ZyCategory;
import com.ruoyi.system.service.IZyCategoryService;

/**
 * 栏目管理Service业务层处理
 * 
 * @author libao
 * @date 2024-05-24
 */
@Service
public class ZyCategoryServiceImpl implements IZyCategoryService 
{
    @Autowired
    private ZyCategoryMapper zyCategoryMapper;

    /**
     * 查询栏目管理
     * 
     * @param id 栏目管理主键
     * @return 栏目管理
     */
    @Override
    public ZyCategory selectZyCategoryById(Long id)
    {
        return zyCategoryMapper.selectZyCategoryById(id);
    }

    /**
     * 查询栏目管理列表
     * 
     * @param zyCategory 栏目管理
     * @return 栏目管理
     */
    @Override
    public List<ZyCategory> selectZyCategoryList(ZyCategory zyCategory)
    {
        return zyCategoryMapper.selectZyCategoryList(zyCategory);
    }

    /**
     * 新增栏目管理
     * 
     * @param zyCategory 栏目管理
     * @return 结果
     */
    @Override
    public int insertZyCategory(ZyCategory zyCategory)
    {
        zyCategory.setCreateTime(DateUtils.getNowDate());
        return zyCategoryMapper.insertZyCategory(zyCategory);
    }

    /**
     * 修改栏目管理
     * 
     * @param zyCategory 栏目管理
     * @return 结果
     */
    @Override
    public int updateZyCategory(ZyCategory zyCategory)
    {
        zyCategory.setUpdateTime(DateUtils.getNowDate());
        return zyCategoryMapper.updateZyCategory(zyCategory);
    }

    /**
     * 批量删除栏目管理
     * 
     * @param ids 需要删除的栏目管理主键
     * @return 结果
     */
    @Override
    public int deleteZyCategoryByIds(Long[] ids)
    {
        return zyCategoryMapper.deleteZyCategoryByIds(ids);
    }

    /**
     * 删除栏目管理信息
     * 
     * @param id 栏目管理主键
     * @return 结果
     */
    @Override
    public int deleteZyCategoryById(Long id)
    {
        return zyCategoryMapper.deleteZyCategoryById(id);
    }
}
